PHP ��U
前一頁 |  | 下一頁

# win32_get_last_control_message

(PECL)

win32_get_last_control_message -- Returns the last control message that was sent to this service

## Description

int win32_get_last_control_message ( void )

Returns the control code that was last sent to this service process. When running as a service you should periodically check this to determine if your service needs to stop running.

## Return Values

Returns a control constant; one of `WIN32_SERVICE_CONTROL_CONTINUE`, `WIN32_SERVICE_CONTROL_INTERROGATE`, `WIN32_SERVICE_CONTROL_PAUSE`, `WIN32_SERVICE_CONTROL_STOP`, `WIN32_SERVICE_CONTROL_HARDWAREPROFILECHANGE`, `WIN32_SERVICE_CONTROL_POWEREVENT`, `WIN32_SERVICE_CONTROL_SESSIONCHANGE`.

## �Ѧ�

win32_start_service_ctrl_dispatcher()

前一頁 | 內容 | 下一頁
win32_delete_service | 上一層 | win32_query_service_status